body
{
	padding:0;
	margin:0;
	font-family:'Titillium Web';
}
header
{
	height:68px;
	background-color:#eee;
}
#topmost {
    color:white;
    padding:6px;
    text-align:center;
    background-color:#b3171a;
}
.homokozo {
	border:none;
	margin:0;
	padding:0;
	height:calc(100vh - 110px);
    width: calc(100% + 260px);
}
.splitview {
	border:none;
	margin:0;
	padding:0;
	height:calc(100vh - 110px);
    width: calc(100% + 260px);
}
.splitview .classList
{
	float:left;
	height:calc(100vh - 110px);
	width:350px;
	padding:5px 5px 5px 0px;
	box-sizing:border-box;
	border-style:solid;
	border-color:#999;
	border-width:0 2px 0 0;
}
.splitview .output {
	padding-left:350px;
}
.splitview .output .classResult {
	border:none;
	width:100%;
	height:calc(100vh - 110px);
	margin-top:-41px;
}
.classSlnRow {
	background-color:white;
	border-color:#ccc;
	border-width:1px;
	border-radius:4px;
	border-style:solid;
	text-decoration:none;
	padding:5px;
	color:black;
	font-size:13px;
	font-weight:300;
	display:block;
	position:relative;
	margin-bottom:5px;
}
.classSlnRow i {
	position:absolute;
	top:8px;
	right:8px;
}
.dashboardPanelItem {
	display:block;
	padding:5px;
	height:64px;
	font-weight:bold;
	background-color:#eee;
	margin:5px;
	color:#333;
	text-decoration:none;
	border-radius:0;
	font-size:15px;
}
.dashboardPanelItem {
	font-weight:300;
}
section.author {
	color:#b3171a;
	font-size:14px;
}
.lang {
	color:#555;
	display:block;
	margin-top:5px;
}
.approved-info {
	background-color: #E8F5E9;
    color: #2E7D32;
    padding: 10px;
}
.sandbox-info {
	background-color:#f3e5f5;
	color:#7b1fa2;
	padding:10px;
}
.sandbox-info p, .approved-info p {
	padding:0;
	margin:0 0 5px 0;
}
.sandbox-button, .sandbox-button:hover {
	background-color:#7b1fa2;
	color:white;
	font-size:15px;
	line-height:20px;
	font-weight:bold;
	padding:3px 10px;
	margin:0;
	text-decoration:none;
}
.sandbox-info .sandbox-button i.fa-solid {
	display:inline-block;
	padding-right:5px;
	color:white;
}
.onlyLogin {
	display:none;
}
.typesTable td i.fa-solid, .typesTable td i.fa-regular, .typesTable td i.fa-brands, .typesTable td i.fa-duotone  {
	color:#b3171a;
	font-size:16px;
	display:inline-block;
	width:22px;
	height:25px;
	line-height:25px;
	text-align: center;
	margin-right:3px;
	margin-left:3px;
}
.compareTable th {
	text-align:left;
}
.compareTable td {
	text-align:center;
	vertical-align: top;
}
.compareTable td small {
	line-height:16px;
	font-size:14px;
	display:block;
}
.proginstructions {
	background-color:#ddd;
	padding:8px;
}
.proginstructions .header {
	background-color:#ddd;
	color:#000000;
}
.proginstructions .header label {
	font-weight:400;
	padding:5px 5px 2px 5px;
	margin-left:5px;
	border-style:solid;
	border-width:0 0 3px 0;
	border-color:transparent;
	cursor:pointer;
}
.proginstructions .header label input {
	display:none;
}
.proginstructions .header label:has(input:checked) {
	background-color:#ccc;
	border-color:#b3171a;

}
.integration, .integration:hover {
	background-color:#b3171a;
	color:#fff;
	border-radius:3px;
	font-size:13px;
	text-decoration:none;
    padding: 0 4px;
}
.proginstructions .content {
	background-color:#f5f5f5;
	padding:5px;
}
#news {
	float:right;
	width:320px;
	border-radius:0;
	border-color:#ccc;
	background-color:#fff;
	border-width:1px;
	border-style:solid;
	height:58px;
	margin:0;
	padding:4px;
	margin:5px;
	box-sizing:border-box;
	cursor:pointer;
	border-radius:3px;
}
.news-title {
	font-weight:bold;
	font-size:14px;
	line-height:18px;
	color:#b3171a;
	text-align:center;
}
.news-desc {
	font-size:12.5px;
	line-height:16px;
}
header h1
{
	padding:20px 10px 0 10px;
	font-size:30px;
	font-family:'Turret Road';
	font-weight:700;
	color:#333;
	margin:0;
}
header h1 .color, .color
{
	color:#b3171a;
}
nav
{
	background-color:#444;
	height:44px;
	display:block;
	transition:.3s;
	position:sticky;
	top:-1px;
	z-index:999;
}
nav a
{
	padding:0 15px;
	margin:0;
	color:white;
	text-decoration:none;
	font-size:16px;
	line-height:44px;
	display:inline-block;
	transition:.3s;
	vertical-align:top;
}
nav a:hover
{
	background-color:#222;
}
nav a.active
{
	background-color:#222;
}
nav .logo {
	width:1px;
	box-sizing:border-box;
	margin:0;
	padding:0;
	transition:.3s;
	overflow:hidden;
}
footer {
	background-color:#444444;
	color:#ffffff;
	text-align:center;
	vertical-align:top;
	padding-top:20px;
}
.footer-col {
	display:inline-block;
	width:22vw;
	padding:0;
	margin:0 2vw;
	text-align:left;
	vertical-align:top;
}
footer h6 {
	font-size:19px;
	margin:10px 0 4px 0;
}
.footer-col .contextual.ad {
	float: none;
    margin: 0;
    width: auto;
    vertical-align: top;
}
.licensz-tab {
	float:right;
	color:#999;
	padding: 5px;
    font-size: 20px;
    z-index:100;
}
.code-licensz {
	line-height:22px;
	margin:0;
	text-align:right;
	pafdding-top:3px;
	font-size:20px;
	color:#999;
}
.stuck .logo {
	padding:0 12px;
	width:84px;
	background-color:white;
	color:#333;
	font-size: 18px;
    font-weight: bold;
}
#main
{
	position:relative;
	min-height:calc(100vh - 68px - 44px);
}
aside
{
	position:absolute;
	left:0;
	top:0;
	bottom:0;
	background-color:#dddddd;
	width:250px;
	padding:5px;
	box-sizing:border-box;
	overflow:auto;
}
aside a
{
	display:block;
	height:28px;
	line-height:28px;
	padding:0 8px;
	color:#333;
	text-decoration:none;
	font-size:15px;
	margin:0 -5px;
	transition:.3s;
}
aside a.labor, aside a.labor i {
	color:#673ab7;
}
aside a i {
	color:#b3171a;
	font-size:12px;
}
aside a .uci {
	color:orange;
}
aside a:has(.uci){
	color:#999;
}
aside a:hover
{
	background-color:#d5d5d5;
}
aside a.active
{
	color:#b3171a;
	background-color:#ccc;
}
aside h2
{
	margin:22px 5px 3px 5px;
	color:#b3171a;
	font-size:18px;
	font-weight:700;
	font-family:'Turret Road';
}
article
{
	margin-left:260px;
	margin-right:260px;
	font-size:16px;
}
article h2
{
	font-size:32px;
	margin:0;
	padding:24px 0 0 0;
	font-weight:400;
	color:#111;
}
article h3
{
	font-size:24px;
	margin:12px 0 3px 0;
	padding:14px 0 0 0;
	font-weight:400;
	color:#b3171a;
}
article kbd
{
	display:inline-block;
	background-color:#eee;
	border-style:solid;
	border-width:1px;
	border-color:#ddd;
	border-radius:2px;
	padding:0 3px;
	font-family:'Titillium Web';
	font-size:14px;
	margin:0 3px;
	min-width: 14px;
	text-align:center;
}
code
{
	font-size:15px;
	background-color:#f5f5f5;
}
article table td, article table th, article table {
	border-color:#aaa;
	border-style:solid;
	border-width:1px;
	border-collapse:collapse;
}
article table th {
	background-color:#ddd;
	text-align:center;
}
article table td pre:first-child {
	margin:0;
}

table.td1c tr td:nth-child(1), 
table.td2c tr td:nth-child(2), 
table.td3c tr td:nth-child(3), 
table.td4c tr td:nth-child(4), 
table.td5c tr td:nth-child(5)
{
	text-align:center;
}

table.td1b tr td:nth-child(1), 
table.td2b tr td:nth-child(2), 
table.td3b tr td:nth-child(3), 
table.td4b tr td:nth-child(4), 
table.td5b tr td:nth-child(5)
{
	font-weight:bold;
}

.c-lb
{
	color:#3399FF;
}
.c-dr
{
	color:#CC0000;
}
.contextual
{
	float:right;
	margin-right:-255px;
	width:250px;
	box-sizing:border-box;
	padding:5px;
	background-color:#e1f5fe;
	color:#4a5196;
}
.contextual.green
{
	background-color:#e7fee1;
	color:#418037;
}
.contextual.ad {
	background-color:#FFF9C4;
	color:#978a13;
}
.header
{
	display:block;
	line-height:32px;
	height:32px;
	background-color:#b3e5fc;
	margin:-5px -5px 0 -5px;
	padding:0 5px;
	font-weight:bold;
}
.green .header
{
	background-color:#b6eb8a;
}
.ad .header
{
	background-color:#fff176;
}
article p:last-child, .footer-col .ad p:last-child
{
	margin-bottom:0;
	padding-bottom:20px;
}
.user
{
	float:right;
}
.center
{
	text-align:center;
}
.ua_menu
{
	line-height:38px;
	display:block;
	color:#b3171a;
	text-decoration:none;
	text-align:center;
	font-weight:bold;
	font-size:16px;
}
.tableForm label
{
	display:block;
	width:220px;
	float:left;
	line-height:32px;
}
.tableForm input
{
	font-family:'Titillium Web';
	color:#b3171a;
	font-size:15px;
	line-height:30px;
	padding:0 5px;
	width:calc(100vw - 240px - 260px - 260px);
	border-style:solid;
	border-color:#ddd;
	border-width:1px;
}
.tableForm .field
{
	clear:both;
	margin:20px 0;
}
button.button
{
	float:right;
    width:200px;
    height:32px;
    border:none;
    text-align:center;
    line-height:32px;
    border-radius:0;
    font-weight:bold;
    font-size:13px;
    cursor:pointer;
	background-color:#b3171a;
    color:white;
}
ul li b {
	color:#b3171a;
}
article a {
	color:#b3171a;
	background-color:#eeeeee;
	border-radius:4px;
	padding:3px 4px;
	display:inline-block;
	text-decoration:none;
	line-height:18px;
	background-color: #ffecec;
	transition:.2s;
    bbox-shadow: 1px 1px 2px 0 rgba(0, 0, 0, .3);
}
article a:hover {
	background-color:#FAC9C9;
}
article a.register {
    background-color:#333;
    color:white;
    display:inline-block;
    padding:3px 10px;
    border-radius:3px;
    text-decoration:none;
}
article a.register:hover {
    background-color:#222;
}
article a.dl {
	background-color:#418037;
	color:white;
	display:block;
	padding:5px 0;
	margin-top:8px;
	text-decoration:none;
	text-align:center;
	font-weight:bold;
	border-radius:16px;
	transition:.2s;
}
.ad a.adclick {
	background-color:#978a13;
	color:white;
	display:block;
	padding:5px 0;
	margin-top:8px;
	text-decoration:none;
	text-align:center;
	font-weight:bold;
	border-radius:16px;
	transition:.2s;
}
article a.dl i, .ad a.adclick i{
	float:left;
	color:white;
	line-height:26px;
	margin-left:10px;
	font-size:16px;
}
article a.dl:hover {
	opacity:.95;
}
article figure
{
	max-width:90%;
	width:90%;
	overflow:hidden;
	border-width:1px;
	border-color:#999;
	border-style:solid;
	padding:0;
	margin:auto;
}
figure img {
	width:100%;
}
figure figcaption {
	color:#555;
	font-size:14px;
	padding:3px;
	text-align:center;
}
article figure.max700 {
	max-width:700px;
}
article figure.max400 {
	max-width:400px;
}
.ad-panel
{
	background-color:#eee;
	margin:10px -10px 0 -10px;
	text-align:center;
}
.ad-panel big {
	display:block;
	color:#b3171a;
	font-weight:bold;
	font-size:18px;
	padding:10px 0 4px 0;
	margin:0;
}
.ad-panel p {
	font-weight:bold;
	margin:0 40px;
}
article i.fa-solid {
	font-size: 13px;
    color: #d37a7a;
}
.soon {
	color:#b3171a;
	font-style:italic;
}
.typesTable {
	width:100%;
	border-collapse:collapse;
}
.typesTable td {
	padding:3px 2px;
	border-style:solid;
	border-color:#999;
	border-width:1px;
}
.typesTable th {
	padding:3px 2px;
	border-style:solid;
	border-color:#999;
	border-width:1px;
	background-color:#eee;
	color:#333;
}
.typesTable .common td {
	font-weight:bold;
}
article h2 a.gyh 
{
	font-weight:bold;
	text-decoration:none;
	background-color:white;
	padding:0;
	box-shadow: none;
}
.news-date {
	text-align:right;
	font-size:13px;
	color:#999;
	margin-bottom:16px;
}
h3.news {
	margin-bottom:0;
	padding-bottom:0;
}
p.news {
	margin-top:0;
	margin-bottom:0;
}
code, pre.code {
	background-color:#eee;
}
.code mark {
	display:block;
	border-style:solid;
	border-width:0 0 0 4px;
	border-color:#b3171a;
	background-color:#ddd;
	margin-left:-4px;
}
pre.file {
	padding: 5px;
	background-color:#fff;
	color:#b3171a;
	border-style:solid;
	border-color:#aaa;
	border-width:1px;
}
pre.code {
	padding:5px;
}
pre.console {
	padding: 5px;
	background-color:#111;
	color:#ddd;
}
.comment {
	color:#32a858;
}

/* Keresőmező */

#search {
	width:400px;
	left:0;
	right:0;
	top:0;
	margin:auto;
	position:absolute;
	height:68px;
}
#search input {
	line-height:26px;
	font-size:16px;
	width:100%;
	padding:0 5px;
	border-radius:3px;
	margin-top:20px;
	box-sizing:border-box;
	border-width:1px;
	border-color:#ccc;
	border-style:solid;
	font-family: 'Titillium Web';
	color:#b3171a;
}
#searchList2 {
	position: absolute;
    top: 48px;
    left: 0;
    right: 0;
    width: 400px;
    margin: auto;
    background-color: #eeeeee;
    z-index: 9999;
    max-height:calc(8 * 34px);
    overflow:hidden;
}
.searchResultRow {
	display:block;
	height:34px;
	overflow:hidden;
	box-sizing:border-box;
	padding:0;
	line-height:32px;
	border-style:solid;
	border-width:0 0 2px 0;
	border-color:#eee;
	cursor:pointer;
}
.searchResultRow:hover {
	background-color:#e5e5e5;
}
.searchResultRow[data-active='yes'] {
	background-color:#ccc;
	color:#b3171a;
}
.searchResultRow .icon.normal {
	background-color:#dddddd;
	color:#999;
	width:32px;
	height:32px;
	margin-right:5px;
	line-height:32px;
	text-align:center;
	font-size:15px;
	display:inline-block;
	float:left;
}
.searchResultRow .icon.function {
	float:left;
	background-color:#f3e5f5;
	color:#9c27b0;
	width:32px;
	height:32px;
	margin-right:5px;
	line-height:32px;
	text-align:center;
	font-size:15px;
	display:inline-block;
	float:left;
}
.searchResultRow .icon.paid {
	float:left;
	background-color:#fff3e0;
	color:#ff9800;
	width:32px;
	height:32px;
	margin-right:5px;
	line-height:32px;
	text-align:center;
	font-size:15px;
	display:inline-block;
	float:left;
}
/* KURZUSOLDALAK */
.courseHeader img {
	width:250px;
	margin:-5px;
}
.mobileOnly, .mobileOnlyBlock {
    display:none;
}


.kkTile {
	display:block;
	background-color:#eee;
	border-style:solid;
	border-width:1px;
	border-color:#ccc;
	margin-bottom: 5px;
}
.kkTile p {
	margin:0;
}



@media all and (max-width: 1000px)
{
	.contextual {
		float:none;
		margin:10px 0;
		width:100%;
	}
	article {
		margin-right:10px;
	}
}
@media all and (max-width: 700px)
{
	article {
		margin-left:10px;
	}
	#main aside {
		transform: translateX(-120%);
		transition:.3s;
		position:fixed;
		top:0;
		bottom:0;
		left:0;
		z-index:9999;
	}
	#main aside:target {
		transform: none;
		width:100vw;
		overflow:scroll-y;
	}
	#news {
		display:none;
	}
	.desktopOnly {
	    display:none;
	}
	.mobileOnly {
	    display:inline-block;
	}
	.mobileOnlyBlock {
	    display:block;
	}
	.footer-col {
	    display:block;
	    width:90vw;
	}
	.code, code, .console {
	    font-size:9px;
	}
}

.qa_answer, .qa_question {
	display:block;
	border-style:solid;
	border-width:2px 0 0 0;
	border-collapse: collapse;
	border-color:#999;
}
.qa_header .timestamp {
	float:right;
	color:#444;
	font-weight: normal;
}
.qa_header .timestamp i {
	color:#444;
}
.qa_answer .qa_header, .qa_question .qa_header {
	margin:0;
	font-weight:bold;
	background-color:#eee;
	padding:3px;
}
.qa_listing {
	display:block;
	border-style:solid;
	border-width:2px 0 0 0;
	border-collapse: collapse;
	border-color:#999;
	background-color: #fff;
	padding:4px;
}
.qa_listing a {
	display:block;
	color:#222;
	font-weight:bold;
	background:none;
	border:none;
	box-shadow: none;
	padding:2px 0;
	font-size:16px;
}
article .qa_listing > a:hover {
	background:none;
}
.qa_listing	> p:last-child	 {
	margin: 0;
    padding-bottom: 0;
    color: #888;
    margin-top: 6px;
    font-size: 13px;
}

a.qa_tag {
	display:inline-block;
	background-color:white !important;
	color:black;
	border-color:#ccc;
	border-width: 1px;
	border-style:solid;
	box-shadow: none;
	font-size:13px;
	padding:3px 8px;
}
.qa_listing .qa_tag {
	font-size:12px;
	padding:1.5px 3px;
	font-weight:normal;
}
h2 .qa_tag {
	font-size:17px;
}
.qa_input_desc {
	width:100%;
	height:2.5rem;
	font-family: 'Titillium Web';
	font-size:14.5px;
	transition: height .3s;
}
.qa_send {
	background-color:#333;
	padding:5px 10px;
	color:white;
	border:none;
	cursor:pointer;
	font-size:15px;
}
button.qa_send > i {
	color:#ccc;
}
.qa_title, .qa_category {
	padding:3px 5px;
	box-sizing:border-box;
	width:100%;
}
.qa_title {
	font-size:18px;
}
aside a.qa_tag {
	box-sizing:border-box;
	margin:3px 0;
	padding: 0 5px;
	display:block;
}
p.qa_label {
	font-weight:bold;
	padding-bottom:0;
	margin-bottom:0;
}
.qa_input_desc:focus, .qa_input_desc:not(:placeholder-shown) {
	height:9rem;
}

/* Kezdőlap */
.kartya {
	width:19%;
	background-color:#eee;
	padding:8px;
	box-sizing:border-box;
	margin:.5%;
	display:inline-block;
	color:#222;
	border-radius:0;
	cursor:pointer;
}
.kartya:hover {
	background-color:#e5e5e5;
}
.kartya .icon i {
	font-size: 36px;
	padding:6px 0;
	color:#999;
}
.kartya .caption {
	font-size:15px;
	font-weight:bold;
	color:#222;
}
.kartya .subcaption {
	font-size:13px;
	color:#666;
}
@media (max-width:1600px) { .kartya {width: 24%; } }
@media (max-width:1410px) { .kartya {width: 32%; } }
@media (max-width:950px) { .kartya {width: 48%; } }